org.apache.hive.jdbc

## Class Utils.JdbcConnectionParams

- java.lang.Object
- - org.apache.hive.jdbc.Utils.JdbcConnectionParams

Enclosing class:
  Utils

    public static class Utils.JdbcConnectionParams
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Utils.JdbcConnectionParams()`

### Method Summary

Methods
`String[]` `getAuthorityList()`
`String` `getCurrentHostZnodePath()`
`String` `getDbName()`
`Map<String,String>` `getHiveConfs()`
`Map<String,String>` `getHiveVars()`
`String` `getHost()`
`String` `getJdbcUriString()`
`int` `getPort()`
`List<String>` `getRejectedHostZnodePaths()`
`Map<String,String>` `getSessionVars()`
`String` `getZooKeeperEnsemble()`
`boolean` `isEmbeddedMode()`
`void` `setCurrentHostZnodePath(String currentHostZnodePath)`
`void` `setDbName(String dbName)`
`void` `setEmbeddedMode(boolean embeddedMode)`
`void` `setHiveConfs(Map<String,String> hiveConfs)`
`void` `setHiveVars(Map<String,String> hiveVars)`
`void` `setHost(String host)`
`void` `setJdbcUriString(String jdbcUriString)`
`void` `setPort(int port)`
`void` `setSessionVars(Map<String,String> sessionVars)`
`void` `setSuppliedAuthorityList(String[] authorityList)`
`void` `setZooKeeperEnsemble(String zooKeeperEnsemble)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Utils.JdbcConnectionParams

    public Utils.JdbcConnectionParams()

### Method Detail

#### getHost

    public String getHost()

#### getPort

    public int getPort()

#### getJdbcUriString

    public String getJdbcUriString()

#### getDbName

    public String getDbName()

#### getHiveConfs

    public Map<String,String> getHiveConfs()

#### getHiveVars

    public Map<String,String> getHiveVars()

#### isEmbeddedMode

    public boolean isEmbeddedMode()

#### getSessionVars

    public Map<String,String> getSessionVars()

#### getAuthorityList

    public String[] getAuthorityList()

#### getZooKeeperEnsemble

    public String getZooKeeperEnsemble()

#### getRejectedHostZnodePaths

    public List<String> getRejectedHostZnodePaths()

#### getCurrentHostZnodePath

    public String getCurrentHostZnodePath()

#### setHost

    public void setHost(String host)

#### setPort

    public void setPort(int port)

#### setJdbcUriString

    public void setJdbcUriString(String jdbcUriString)

#### setDbName

    public void setDbName(String dbName)

#### setHiveConfs

    public void setHiveConfs(Map<String,String> hiveConfs)

#### setHiveVars

    public void setHiveVars(Map<String,String> hiveVars)

#### setEmbeddedMode

    public void setEmbeddedMode(boolean embeddedMode)

#### setSessionVars

    public void setSessionVars(Map<String,String> sessionVars)

#### setSuppliedAuthorityList

    public void setSuppliedAuthorityList(String[] authorityList)

#### setZooKeeperEnsemble

    public void setZooKeeperEnsemble(String zooKeeperEnsemble)

#### setCurrentHostZnodePath

    public void setCurrentHostZnodePath(String currentHostZnodePath)